Page MenuHomePhabricator

[Bug] Closing editor overlay shows loading spinner indefinitely
Closed, ResolvedPublic

Description

Steps to reproduce

  1. Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Dog on the MinervaNeue mobile site.
  2. Tap edit (the plain mobile editor not the visual editor).
  3. Tap the close cross.

Expected results

  • Editor overlay closes.

Actual results

  • Editor overlay closes but shows a loading spinner forever.

Environments observed

  • Browser version: Chromium v71.0.3578.98
  • OS version: Ubuntu v18.10
  • Device model: Desktop
  • Device language: English

Check any additional observations

Not present on enwiki prod.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : wmf/1.33.0-wmf.16mobile.init/editor: Don't create loading overlay if we're not going to use it

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2019, 9:41 PM
matmarex claimed this task.Feb 6 2019, 10:16 PM

Yes, that fixes this.

Change 488591 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@wmf/1.33.0-wmf.16] mobile.init/editor: Don't create loading overlay if we're not going to use it

https://gerrit.wikimedia.org/r/488591

Change 488591 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@wmf/1.33.0-wmf.16] mobile.init/editor: Don't create loading overlay if we're not going to use it

https://gerrit.wikimedia.org/r/488591

This looks fixed to me. Not sure if editing team would like to do any testing so leaving resolving this task to them.

Ryasmeen edited projects, added Verified; removed Editing QA.Feb 13 2019, 12:37 AM
Esanders moved this task from Inbox to High Priority on the Editing QA board.Feb 13 2019, 6:46 PM
ppelberg closed this task as Resolved.Apr 1 2019, 11:15 PM